.pic-text-tab-icon-content {
  width: 100%;
  display: flex;
}
.pic-text-tab-icon-content .tabs-wrap {
  width: calc(100% / 3);
}
.pic-text-tab-icon-content .tabs-wrap .tabs {
  display: grid;
  grid-template-columns: 1fr;
  grid-auto-rows: 1fr;
  height: 100%;
  gap: 0;
}
.pic-text-tab-icon-content .tabs-wrap .tab {
  width: 100%;
  height: 100%;
}
.pic-text-tab-icon-content .tabs-wrap .nav-link {
  display: flex;
  align-items: center;
  gap: 10px;
  height: 100%;
  padding: 10px var(--section-space-small) !important;
  white-space: normal;
  border: none !important;
  border-radius: 0 !important;
}
.pic-text-tab-icon-content .tab-content {
  width: calc(100% / 3 * 2);
  display: grid;
  grid-template-columns: 1fr;
}
.pic-text-tab-icon-content .tab-pane {
  grid-column: 1;
  grid-row: 1;
  display: block;
  opacity: 0;
  pointer-events: none;
}
.pic-text-tab-icon-content .tab-pane.active {
  opacity: 1;
  pointer-events: auto;
}
.pic-text-tab-icon-content .tab-pane,
.pic-text-tab-icon-content .tab-pane-content,
.pic-text-tab-icon-content .tab-pane-content .item-card,
.pic-text-tab-icon-content .tab-pane-content .item-image img,
.pic-text-tab-icon-content .tab-pane-content .item-image video {
  width: 100%;
  height: 100%;
}

.pic-text-tab-icon-content .item-card.item-text-float .item-content {
  top: auto;
  height: auto;
  max-height: 100%;
  background: var(--bg-color);
}
.pic-text-tab-icon-content .item-card.item-text-float .item-content.left {
  align-items: flex-start;
  text-align: start;
}
.pic-text-tab-icon-content .item-card.item-text-float .item-content.right {
  align-items: flex-end;
  text-align: end;
}

@media (max-width: 1024px) {
  .pic-text-tab-icon-content .item-card.item-horizontal {
    position: relative;
  }
  .pic-text-tab-icon-content .item-card.item-horizontal .item-image {
    width: 100%;
  }
  .pic-text-tab-icon-content .item-card.item-horizontal .item-content {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    max-height: 100%;
    background: var(--bg-color);
  }
  .pic-text-tab-icon-content .item-card.item-horizontal img,
  .pic-text-tab-icon-content .item-card.item-text-float img {
    aspect-ratio: 3 / 4 !important;
  }
  .pic-text-tab-icon-content .item-card.item-text-float .item-desc {
    -webkit-line-clamp: 5;
  }
}

@media (max-width: 767px) {
  .pic-text-tab-icon-content .tabs-wrap {
    display: none;
  }
  .pic-text-tab-icon-content,
  .pic-text-tab-icon-content .tab-content,
  .pic-text-tab-icon-content .tab-content .tab-pane,
  .pic-text-tab-icon-content .item-text-float {
    display: block !important;
    width: 100%;
  }
  .pic-text-tab-icon-content .tab-content .tab-pane {
    opacity: 1;
    pointer-events: auto;
  }
  .pic-text-tab-icon-content .tab-content .tab-pane + .tab-pane {
    margin-top: var(--grid-gap-medium); 
  }
  .pic-text-tab-icon-content .item-card {
    flex-direction: column;
  }
  .pic-text-tab-icon-content .item-card .item-content {
    position: static !important;
  }
  .pic-text-tab-icon-content .item-card.item-horizontal img,
  .pic-text-tab-icon-content .item-card.item-text-float img {
    aspect-ratio: 4 / 3 !important;
  }
  .pic-text-tab-icon-content .item-text-float.item-card .item-desc {
    display: block;
  }
}